ServiceContext (The Data Transfer Agent Service 2.1.0-3.10.1 API)
Date: 2016-03-03

org.gcube.datatransfer.agent.impl.context

## Class ServiceContext

- java.lang.Object
- - org.gcube.common.core.contexts.GCUBEContext
  - - org.gcube.common.core.contexts.GCUBEServiceContext
    - - org.gcube.datatransfer.agent.impl.context.ServiceContext

- All Implemented Interfaces:
    org.gcube.common.core.scope.GCUBEScopeManager, org.gcube.common.core.security.GCUBESecurityManager, org.gcube.common.core.security.GCUBEServiceSecurityManager

      public class ServiceContext
      extends org.gcube.common.core.contexts.GCUBEServiceContext

  Author:
    Andrea Manzi (CERN)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gcube.common.core.contexts.GCUBEServiceContext

      `org.gcube.common.core.contexts.GCUBEServiceContext.IllegalStateTransitionException, org.gcube.common.core.contexts.GCUBEServiceContext.RILifetimeEvent, org.gcube.common.core.contexts.GCUBEServiceContext.RILifetimeTopic, org.gcube.common.core.contexts.GCUBEServiceContext.ServiceSecurityStatus, org.gcube.common.core.contexts.GCUBEServiceContext.Stager, org.gcube.common.core.contexts.GCUBEServiceContext.StateTransitionException, org.gcube.common.core.contexts.GCUBEServiceContext.Status`

    - ### Nested classes/interfaces inherited from interface org.gcube.common.core.security.GCUBEServiceSecurityManager

      `org.gcube.common.core.security.GCUBEServiceSecurityManager.LifetimeConsumer, org.gcube.common.core.security.GCUBEServiceSecurityManager.LifetimeEvent, org.gcube.common.core.security.GCUBEServiceSecurityManager.LifetimeTopic`

    - ### Nested classes/interfaces inherited from interface org.gcube.common.core.security.GCUBESecurityManager

      `org.gcube.common.core.security.GCUBESecurityManager.AuthMethod, org.gcube.common.core.security.GCUBESecurityManager.AuthMode, org.gcube.common.core.security.GCUBESecurityManager.DelegationMode`

    - ### Nested classes/interfaces inherited from interface org.gcube.common.core.scope.GCUBEScopeManager

      `org.gcube.common.core.scope.GCUBEScopeManager.IllegalScopeException`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static ServiceContext` | `cache`
    `static int` | `FILESXTHREAD`
    `static String` | `JNDI_NAME`
    `static org.gcube.common.core.utils.events.GCUBEProducer<Events.TransferTopics,Object>` | `transferEventproducer`

    - ### Fields inherited from class org.gcube.common.core.contexts.GCUBEServiceContext

      `AUTHENTICATION_MANAGER_JNDI_NAME, AUTHORISATION_MANAGER_JNDI_NAME, CONFIG_DIR_JNDI_NAME, LISTENER_UPDATE_INTERVAL, LTEventProducer, PERSISTENCE_MANAGER_JNDI_NAME, PLUGIN_MANAGER_JNDI_NAME, PROFILE_FILE_NAME, PROPAGATE_CALLER_CREDENTIALS_JNDI_NAME, PUBLISHED_HOST_JNDI_NAME, PUBLISHED_PORT_JNDI_NAME, RIPROFILE_FILENAME, SECURITY_MANAGER_JNDI_NAME, START_SCOPES_JNDI_NAME`

    - ### Fields inherited from class org.gcube.common.core.contexts.GCUBEContext

      `logger, timers`

    - ### Fields inherited from interface org.gcube.common.core.scope.GCUBEScopeManager

      `CLASS_HEADER_NAME, DEFAULT, NAME_HEADER_NAME, SCOPE_HEADER_NAME, SCOPE_NS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAwsKey()`
    `String` | `getAwsKeyID()`
    `int` | `getConnectionTimeout()`
    `static ServiceContext` | `getContext()`
    `String` | `getDbConfigurationFileName()`
    `DataTransferDBManager` | `getDbManager()`
    `int` | `getIntervalForDBCheck()`
    `String` | `getJNDIName()`
    `VFileSystemManager` | `getLocalFSManager()`
    `org.gcube.datatransfer.common.messaging.MSGClient` | `getMsgClient()`
    `int` | `getRetryLimit()`
    `String[]` | `getSupportedTransfers()`
    `int` | `getTransferTimeout()`
    `boolean` | `getUseMessaging()`
    `String` | `getVfsRoot()`
    `protected void` | `onInitialisation()`
    `protected void` | `onReady()`
    `void` | `setAwsKey(String awsKey)`
    `void` | `setAwsKeyID(String awsKeyID)`
    `void` | `setConnectionTimeout(int connectionTimeout)`
    `void` | `setDbConfigurationFileName(String dbConfigurationFileName)`
    `void` | `setDbManager(DataTransferDBManager dbManager)`
    `void` | `setIntervalForDBCheck(int intervalForDBCheckInMS)`
    `void` | `setMsgClient(org.gcube.datatransfer.common.messaging.MSGClient msgClient)`
    `void` | `setRetryLimit(int retryLimit)`
    `void` | `setTransferTimeout(int transferTimeout)`
    `void` | `setUseMessaging(boolean useMessaging)`
    `void` | `setVfsRoot(String vfsRoot)`

    - ### Methods inherited from class org.gcube.common.core.contexts.GCUBEServiceContext

      `addScope, getAuthenticationManager, getAuthorizationManager, getCallerCredentials, getCredentials, getDefaultException, getDefaultException, getFile, getID, getInstance, getLogger, getManagementBean, getName, getPersistenceRoot, getPersistentFile, getPluginManager, getPolicy, getProperty, getScope, getScopeManager, getSecurityManager, getService, getServiceClass, getServiceCredentials, getServiceSecurityStatus, getStartScopes, getStatus, initialise, isSecurityEnabled, needServiceCredentials, notifyStateChange, onFailure, onShutdown, onStateChange, onUpdate, prepareCall, propagateCallerCredentials, removeScope, setAuthMethod, setScope, setScope, setScope, setSecurity, setStatus, subscribe, subscribeLifetTime, unsubscribe, unsubscribeLifetTime, useCallerCredentials, useCredentials, useCredentials, useCredentials, useServiceCredentials`

    - ### Methods inherited from class org.gcube.common.core.contexts.GCUBEContext

      `debugContext, getJNDIContext, getResource, getTiming, printContext, resetTimer, setJNDIContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JNDI_NAME

          public static final String JNDI_NAME

      See Also:
        Constant Field Values

    - #### FILESXTHREAD

          public static final int FILESXTHREAD

      See Also:
        Constant Field Values

    - #### cache

          protected static final ServiceContext cache

    - #### transferEventproducer

          public static org.gcube.common.core.utils.events.GCUBEProducer<Events.TransferTopics,Object> transferEventproducer

  - ### Method Detail

    - #### getSupportedTransfers

          public String[] getSupportedTransfers()
                                         throws Exception

      Returns:
      Throws:
        `Exception`

    - #### getContext

          public static ServiceContext getContext()

      Returns:
        ServiceContext

    - #### getJNDIName

          public String getJNDIName()

      Specified by:
        `getJNDIName` in class `org.gcube.common.core.contexts.GCUBEServiceContext`
      Returns:
        the JNDI name

    - #### onInitialisation

          protected void onInitialisation()
                                   throws Exception

      Overrides:
        `onInitialisation` in class `org.gcube.common.core.contexts.GCUBEServiceContext`
      Throws:
        `Exception`

    - #### getVfsRoot

          public String getVfsRoot()

    - #### getDbManager

          public DataTransferDBManager getDbManager()

    - #### setDbManager

          public void setDbManager(DataTransferDBManager dbManager)

    - #### onReady

          protected void onReady()
                          throws Exception

      Overrides:
        `onReady` in class `org.gcube.common.core.contexts.GCUBEServiceContext`
      Throws:
        `Exception`

    - #### getUseMessaging

          public boolean getUseMessaging()

    - #### setUseMessaging

          public void setUseMessaging(boolean useMessaging)

    - #### getDbConfigurationFileName

          public String getDbConfigurationFileName()

    - #### setDbConfigurationFileName

          public void setDbConfigurationFileName(String dbConfigurationFileName)

    - #### getLocalFSManager

          public VFileSystemManager getLocalFSManager()

    - #### getAwsKeyID

          public String getAwsKeyID()

    - #### setAwsKeyID

          public void setAwsKeyID(String awsKeyID)

    - #### getAwsKey

          public String getAwsKey()

    - #### setAwsKey

          public void setAwsKey(String awsKey)

    - #### getConnectionTimeout

          public int getConnectionTimeout()

    - #### setConnectionTimeout

          public void setConnectionTimeout(int connectionTimeout)

    - #### getTransferTimeout

          public int getTransferTimeout()

    - #### setTransferTimeout

          public void setTransferTimeout(int transferTimeout)

    - #### getRetryLimit

          public int getRetryLimit()

    - #### setRetryLimit

          public void setRetryLimit(int retryLimit)

    - #### setVfsRoot

          public void setVfsRoot(String vfsRoot)

    - #### getMsgClient

          public org.gcube.datatransfer.common.messaging.MSGClient getMsgClient()

    - #### setMsgClient

          public void setMsgClient(org.gcube.datatransfer.common.messaging.MSGClient msgClient)

    - #### getIntervalForDBCheck

          public int getIntervalForDBCheck()

    - #### setIntervalForDBCheck

          public void setIntervalForDBCheck(int intervalForDBCheckInMS)

Copyright © 2016. All Rights Reserved.